import { StorageStatisticsSegmentDto } from "../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsDto } from "../../statistics/storage/dtos/shared/UploadStatisticsDto";
import { TypedFileEvent } from "../../statistics/storage/TypedFileEvent";
import { FileTagName } from "../../common/model/Primitives";
import { NonEmptyArray } from "../../common/model/NonEmptyArray";
import { BasicFileEvent } from "../../statistics/storage/BasicFileEvent";
import { DailyMonthlyBytesDto } from "../../statistics/storage/dtos/shared/DailyMonthlyBytesDto";
import { StorageStatisticsByTimeDto } from "../../statistics/storage/dtos/shared/StorageStatisticsByTimeDto";
import { InvocationEvent } from "../../statistics/storage/InvocationEvent";
import { DailyMonthlyDurationsDto } from "../../statistics/storage/dtos/shared/DailyMonthlyDurationsDto";
import { StorageStatisticsBySourceDto } from "../../statistics/storage/dtos/shared/StorageStatisticsBySourceDto";
import { DailyMonthlyUploadsDto } from "../../statistics/storage/dtos/shared/DailyMonthlyUploadsDto";
export declare class StatisticsCalculator {
    private static readonly dashboardUploadTag;
    static calculateStatistics(newEvents: NonEmptyArray<TypedFileEvent>, valueMultiplier: 1 | -1): UploadStatisticsDto;
    static calculateMonthlyDailyBytes(events: BasicFileEvent[]): DailyMonthlyBytesDto;
    static calculateMonthlyDailyUploads(events: BasicFileEvent[]): DailyMonthlyUploadsDto;
    static calculateMonthlyDailyDurations(events: InvocationEvent[]): DailyMonthlyDurationsDto;
    static calculateStatisticsSegment(newEvents: NonEmptyArray<BasicFileEvent>, valueMultiplier: 1 | -1): StorageStatisticsSegmentDto;
    static calculateStorageStatisticsBySource(newEvents: NonEmptyArray<TypedFileEvent>, valueMultiplier: 1 | -1): StorageStatisticsBySourceDto;
    static isFileFromDashboard(tags: FileTagName[]): boolean;
    static calculateStorageStatisticsByTime(newEvents: NonEmptyArray<BasicFileEvent>, valueMultiplier: 1 | -1): StorageStatisticsByTimeDto;
    private static calculateBytesPerEpochUnit;
    private static calculateUploadsPerEpochUnit;
    private static reducePerEpochUnit;
    private static calculateDurationsPerEpochUnit;
}
